Unverified Commit 190c4162 authored by dependabot[bot]'s avatar dependabot[bot] Committed by GitHub
Browse files

Bump jsonrpsee from 0.10.1 to 0.11.0 (#514)

Bumps [jsonrpsee](https://github.com/paritytech/jsonrpsee) from 0.10.1 to 0.11.0.
- [Release notes](https://github.com/paritytech/jsonrpsee/releases)
- [Changelog](https://github.com/paritytech/jsonrpsee/blob/master/CHANGELOG.md)
- [Commits](https://github.com/paritytech/jsonrpsee/compare/v0.10.1...v0.11.0

)

---
updated-dependencies:
- dependency-name: jsonrpsee
  dependency-type: direct:production
  update-type: version-update:semver-minor
...
Signed-off-by: default avatardependabot[bot] <support@github.com>
Co-authored-by: default avatardependabot[bot] <49699333+dependabot[bot]@users.noreply.github.com>
parent 15d93746
Pipeline #189808 passed with stages
in 9 minutes and 42 seconds
......@@ -490,7 +490,7 @@ dependencies = [
"ink_primitives",
"ink_storage",
"itertools",
"jsonrpsee 0.10.1",
"jsonrpsee 0.11.0",
"log",
"nom",
"nom-supreme",
......@@ -1131,6 +1131,12 @@ version = "0.3.21"
source = "registry+https://github.com/rust-lang/crates.io-index"
checksum = "57c66a976bf5909d801bbef33416c41372779507e7a6b3a5e25e4749c58f776a"
[[package]]
name = "futures-timer"
version = "3.0.2"
source = "registry+https://github.com/rust-lang/crates.io-index"
checksum = "e64b03909df88034c26dc1547e8970b91f98bdb65165d6a4e9110d94263dbb2c"
[[package]]
name = "futures-util"
version = "0.3.21"
......@@ -1672,12 +1678,12 @@ dependencies = [
[[package]]
name = "jsonrpsee"
version = "0.10.1"
version = "0.11.0"
source = "registry+https://github.com/rust-lang/crates.io-index"
checksum = "91dc760c341fa81173f9a434931aaf32baad5552b0230cc6c93e8fb7eaad4c19"
checksum = "1d02a921aa22006ed979c2e1c407fd21302ac6049e5b544634ec5ec41516363d"
dependencies = [
"jsonrpsee-core 0.10.1",
"jsonrpsee-types 0.10.1",
"jsonrpsee-core 0.11.0",
"jsonrpsee-types 0.11.0",
"jsonrpsee-ws-client",
]
......@@ -1704,14 +1710,14 @@ dependencies = [
[[package]]
name = "jsonrpsee-client-transport"
version = "0.10.1"
version = "0.11.0"
source = "registry+https://github.com/rust-lang/crates.io-index"
checksum = "765f7a36d5087f74e3b3b47805c2188fef8eb54afcb587b078d9f8ebfe9c7220"
checksum = "0d4d7c4b01e336c32fc17034560291fa0690170aedace93ae746e9aa119a5b91"
dependencies = [
"futures",
"futures-util",
"http",
"jsonrpsee-core 0.10.1",
"jsonrpsee-types 0.10.1",
"jsonrpsee-core 0.11.0",
"jsonrpsee-types 0.11.0",
"pin-project",
"rustls-native-certs",
"soketto",
......@@ -1748,22 +1754,21 @@ dependencies = [
[[package]]
name = "jsonrpsee-core"
version = "0.10.1"
version = "0.11.0"
source = "registry+https://github.com/rust-lang/crates.io-index"
checksum = "82ef77ecd20c2254d54f5da8c0738eacca61e6b6511268a8f2753e3148c6c706"
checksum = "8066473754794e7784c61808d25d60dfb68e1025a625792a6a1bc680d1ab700a"
dependencies = [
"anyhow",
"arrayvec 0.7.2",
"async-lock",
"async-trait",
"beef",
"futures-channel",
"futures-timer",
"futures-util",
"hyper",
"jsonrpsee-types 0.10.1",
"jsonrpsee-types 0.11.0",
"rustc-hash",
"serde",
"serde_json",
"soketto",
"thiserror",
"tokio",
"tracing",
......@@ -1785,9 +1790,9 @@ dependencies = [
[[package]]
name = "jsonrpsee-types"
version = "0.10.1"
version = "0.11.0"
source = "registry+https://github.com/rust-lang/crates.io-index"
checksum = "38b6aa52f322cbf20c762407629b8300f39bcc0cf0619840d9252a2f65fd2dd9"
checksum = "fd42e08ae7f0de7b00319f723f7b06e2d461ab69bfa615a611fab5dec00b192e"
dependencies = [
"anyhow",
"beef",
......@@ -1799,13 +1804,13 @@ dependencies = [
[[package]]
name = "jsonrpsee-ws-client"
version = "0.10.1"
version = "0.11.0"
source = "registry+https://github.com/rust-lang/crates.io-index"
checksum = "dd66d18bab78d956df24dd0d2e41e4c00afbb818fda94a98264bdd12ce8506ac"
checksum = "c10011be7e04339bdc8b5a8e3542eb5aa1aa08465d5c897044ce00b03ea8535b"
dependencies = [
"jsonrpsee-client-transport 0.10.1",
"jsonrpsee-core 0.10.1",
"jsonrpsee-types 0.10.1",
"jsonrpsee-client-transport 0.11.0",
"jsonrpsee-core 0.11.0",
"jsonrpsee-types 0.11.0",
]
[[package]]
......
......@@ -58,7 +58,7 @@ pallet-contracts-primitives = "6.0.0"
subxt = "0.20.0"
futures = "0.3.19"
hex = "0.4.3"
jsonrpsee = { version = "0.10.1", features = ["ws-client"] }
jsonrpsee = { version = "0.11.0", features = ["ws-client"] }
nom = "7.1.1"
nom-supreme = { version = "0.7.0", features = ["error"] }
indexmap = "1.8.1"
......
Supports Markdown
0% or .
You are about to add 0 people to the discussion. Proceed with caution.
Finish editing this message first!
Please register or to comment